### Method

# Gdk Toplevelpresent

#### Declaration [src]

    void
    gdk_toplevel_present (
      GdkToplevel* toplevel,
      GdkToplevelLayout* layout
    )

#### Description [src]

Present `toplevel` after having processed the `GdkToplevelLayout` rules.

If the toplevel was previously not showing, it will be showed, otherwise it will change layout according to `layout`.

GDK may emit the `GdkToplevel::compute-size` signal to let the user of this toplevel compute the preferred size of the toplevel surface.

Presenting is asynchronous and the specified layout parameters are not guaranteed to be respected.

#### Parameters

`layout`

  Type: `GdkToplevelLayout`

  The `GdkToplevelLayout` object used to layout.

  The data is owned by the caller of the method.